/** \file
*/

#include "Statistics.h"
#include <algorithm>
#include <limits>

void Statistics::Process(const std::vector<float> &data)
{
	fMin = std::numeric_limits<float>::max();
	fMax = (-1.0) * fMin;
	fAvg = 0;

	std::vector<float>::const_iterator it;
	for (it = data.begin(); it != data.end(); ++it)
	{
		float val = (*it) * fDivX;
		if (val < fMin)
			fMin = val;
		if (val > fMax)
			fMax = val;
		fAvg += val;
	}
	fAvg /= data.size();
}
